#
# spec file for package perl-Convert-UUlib
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Convert-UUlib
Version:        1.4
Release:        lp151.2.3
Summary:        Perl interface to the uulib library
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/~mlehmann/Convert-UUlib-1.4/UUlib.pm 
Source:         http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Convert-UUlib-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       p_conulb
Obsoletes:      p_conulb

%description
A Perl interface to the uulib library

%prep
%setup -n Convert-UUlib-%{version} -q
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test
# ---------------------------------------------------------------------------

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%dir %{perl_vendorarch}/Convert
%{perl_vendorarch}/Convert/UUlib.pm
%dir %{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/auto/Convert/UUlib
%doc /usr/share/man/man3/Convert::UUlib.3pm.gz
%doc COPYING COPYING.Artistic COPYING.GNU Changes MANIFEST README example-decoder doc

%changelog
* Wed Oct  8 2014 jengelh@inai.de
- Use source URLs, and remove old specfile tags and sections.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon May 30 2011 vcizek@novell.com
- update to 1.4
  - avoid a classical buffer overflow in case a progress
    message is too long.
  - this release adds depdencies for snprintf/vsnprintf.
  - some uuencode encoders do not generate a final "space" line
    before the "end" marker, so do not rely on the line to be there.
* Thu Dec 16 2010 anicka@suse.cz
- update to 1.34
  * fix a one-byte-past-end-write buffer overflow in UURepairData
  (reported, analysed and testcase provided by Marco Walther).
  * quoted-printable decoding was completely broken, try a fix.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Feb 14 2010 coolo@novell.com
- update to 1.33
  * many changes in the last 5 years, see Changes
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 15 2005 schubi@suse.de
- update to most recent version 1.051
* Fri Feb 27 2004 choeger@suse.de
- update to most recent version 1.0
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 choeger@suse.de
- updated filelist
- update to version 0.31
* Mon May 19 2003 choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Mon Aug  5 2002 link@suse.de
- updated to 0.213
- overhauled spec file
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Sun Jan 13 2002 link@suse.de
- update to v0.201
* Wed Nov 15 2000 choeger@suse.de
- long package name
- buildroot
* Wed Jul 19 2000 choeger@suse.de
- first package, v0.11
